Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026019
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSmajorhave not tried2014-03-17 16:362014-07-01 00:58
ReportermtaalView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRR14Q3
StatusclosedFix in branchpiFixed in SCM revision
ProjectionnoneETAnoneTarget VersionRR14Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toszapata
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026019: Improved operations in the not stable internet connection environments

DescriptionMake web POS more reliable/robust in case of intermittent network connections. Including failover modes, improve off-line detection and optimize data sync for intermittent connections.
Steps To Reproduce.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0068280)
marvintm (developer)
2014-06-24 15:23

This was committed as a project for Q3. All related commits have the [UnstableNetworks] tag in the commit message.
(0068464)
szapata (developer)
2014-07-01 00:58

Steps to approve the issue:
- Tested most of the WEBPOS functionality simulating unstable network (shutting down the network). The application performed as expected during the whole testing.
- Tested specifically the 3 main features introduced by this development:
1. Implementation of a common framework for all data-sending processes:
Noticed that all the Sync process extend the same JSONSimpleProcess and all of them generate the output using this class
2. Refactor the way the terminal object is generated: Noticed that the terminal was trying to refresh after login from cache.
3. Refactor of the way offline detection works: Noticed that the online/offline is detected when trying to do any transaction, meanwhile the system remains in the last known status (online/offline).

- Issue History
Date Modified Username Field Change
2014-03-17 16:36 mtaal New Issue
2014-03-17 16:36 mtaal Assigned To => marvintm
2014-03-17 16:36 mtaal Triggers an Emergency Pack => No
2014-06-24 15:21 marvintm Status new => scheduled
2014-06-24 15:21 marvintm fix_in_branch => pi
2014-06-24 15:23 marvintm Note Added: 0068280
2014-06-24 15:23 marvintm Status scheduled => resolved
2014-06-24 15:23 marvintm Fixed in Version => RR14Q3
2014-06-24 15:23 marvintm Resolution open => fixed
2014-07-01 00:58 szapata Review Assigned To => szapata
2014-07-01 00:58 szapata Note Added: 0068464
2014-07-01 00:58 szapata Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker